interface HttpClient {
    get(requestOptions: HttpClientRequestOptions): Promise<any>;
    delete(requestOptions: HttpClientRequestOptions): Promise<any>;
    post(requestOptions: HttpClientRequestOptions): Promise<any>;
    put(requestOptions: HttpClientRequestOptions): Promise<any>;
}
export interface HttpClientConfig {
    apiKey: string;
    baseUrl: string;
}
export interface HttpClientRequestOptions {
    apiKey?: string;
    baseUrl?: string;
    data?: any;
    params?: any;
    url: string;
}
export default class ApiClient implements HttpClient {
    private config;
    constructor(config: HttpClientConfig);
    get(requestOptions: HttpClientRequestOptions): Promise<any>;
    delete(requestOptions: HttpClientRequestOptions): Promise<any>;
    post(requestOptions: HttpClientRequestOptions): Promise<any>;
    put(requestOptions: HttpClientRequestOptions): Promise<any>;
    private buildRequestUrlAndOptions;
    private parseResponse;
    private buildError;
}
export {};
